Index: doc/src/sgml/runtime.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql-server/doc/src/sgml/runtime.sgml,v
retrieving revision 1.177
diff -r1.177 runtime.sgml
1545a1546,1559
>       <term><varname>ENABLE_IMPLICIT_FROM</varname> (<type>boolean</type>)</term>
>       <listitem>
>        <para>
>         This parameter controls whether or not a relation can be added to a
>         FROM clause automatically. If enabled, the notice
>         <literal>Adding missing FROM-clause entry for table "tablename"</literal>
>         is generated if a relation is automatically added. If not enabled,
>         an error is raised when it is determined that such an extra relation
>         is required.
>        </para>
>       </listitem>
>      </varlistentry>
> 
>      <varlistentry>
Index: src/backend/parser/parse_relation.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/parser/parse_relation.c,v
retrieving revision 1.81
diff -r1.81 parse_relation.c
35a36,39
> /* GUC parameter */
> bool enable_implicit_from;
> 
> 
1864,1866c1868,1875
< 		elog(NOTICE, "Adding missing FROM-clause entry%s for table \"%s\"",
< 			 pstate->parentParseState != NULL ? " in subquery" : "",
< 			 relation->relname);
---
> 		if (enable_implicit_from)
> 			elog(NOTICE, "Adding missing FROM-clause entry%s for table \"%s\"",
> 				 pstate->parentParseState != NULL ? " in subquery" : "",
> 				 relation->relname);
> 		else
> 			elog(ERROR, "Missing FROM-clause entry%s for table \"%s\"",
> 				 pstate->parentParseState != NULL ? " in subquery" : "",
> 				 relation->relname);
Index: src/backend/utils/misc/guc.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/misc/guc.c,v
retrieving revision 1.119
diff -r1.119 guc.c
45a46
> #include "parser/parse_relation.h"
535a537,540
> 	},
> 	{
> 		{"enable_implicit_from", PGC_USERSET}, &enable_implicit_joins,
> 		true, NULL, NULL
Index: src/backend/utils/misc/postgresql.conf.sample
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/misc/postgresql.conf.sample,v
retrieving revision 1.77
diff -r1.77 postgresql.conf.sample
218a219
> #enable_implicit_from = true
Index: src/bin/psql/tab-complete.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/tab-complete.c,v
retrieving revision 1.76
diff -r1.76 tab-complete.c
516a517
> 		"enable_implicit_from",
Index: src/include/parser/parse_relation.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/parser/parse_relation.h,v
retrieving revision 1.39
diff -r1.39 parse_relation.h
18a19,23
> 
> /* GUC parameters */
> extern bool enable_implicit_from;
> 
> 
